# CI/CD template's

## Подключение 
### Пример подключения модуля в ваш CI/CD конвеер
 
```
## Build docker image
  build:    Путь до репозитория в гитеа  | Путь до необходимого модуля в репе       |  Ветка или тэг репозитория      
    uses: devops/gitea-actions-templates/.gitea/workflows/docker-build-and-push.yaml@develop
    with:
      APP_NAME: greedy-qr-bot
      DOCKERFILE_PATH: Dockerfile
      REGISTRY: registry.project-rent-dev.com
    secrets:
      VAULT_TOKEN: ${{ secrets.VAULT_TOKEN }}
```
### Передаваемые параметры
    Описание всех передаваемых параметров находятся в модулях под description, ниже приведен пример:

    APP_NAME:
        required: true
        type: string
        description: Application name which would be the name of Docker and Helm release


    В некоторых параметрах определены default значения, без понимания что они делают лучше не менять, также пример:

     DEV_VALUES_FILE:
        required: true
        type: string        
        description: Dev values file location in repo
        default: chart/values-dev.yaml     

### Пример рабочего CI/CD находится в base-cicd-example.yml
